echo "sleep 5"
#sleep 5
path="/opt/LibreLight"
netns=$(ip netns identify $$)

ARTNET_INPUT_NET="10."
ARTNET_NODE_NET="2.255.255.255"

CONFIG="$HOME/LibreLight/ASP.conf"
if [ -f $CONFIG ] ; then
    echo ""
    echo "READ CONFIG FILE: $CONFIG"
    KEY="ARTNET_NODE_NET="
    X=$(grep "^$KEY" $CONFIG | cut -d "=" -f 2 | tail -n1)
    if [ "x" != "x$X" ] ; then 
        echo "-- OK $KEY $X"
        ARTNET_NODE_NET="$X"
    fi

    KEY="ARTNET_INPUT_NET="
    X=$(grep "^$KEY" $CONFIG | cut -d "=" -f 2 | tail -n1)
    if [ "x" != "x$X" ] ; then 
        echo "-- OK $KEY $X"
        ARTNET_INPUT_NET="$X"
    fi
    echo "CONFIG OK: $CONFIG"
    echo ""
fi

python3 $path/ASP/ArtNetProcessor.py --recive $ARTNET_INPUT_NET --sendto $ARTNET_NODE_NET netns=$netns
